/*
 * Constants.cpp
 *
 *  Created on: 17 NOV 2016
 *      Author: Roman Ryutin
 */

#include <cmath>
#include <complex>
#include <cstdlib>
#include <iostream>
#include <fstream>
#include <map>
#include <string>
#include <utility>
#include <vector>
#include <stdio.h>
#include <cassert>

#include "../inc/I.h"
#include "../inc/PI.h"
#include "../inc/Constants.h"


// print information
void ExDiff::Constants::Print(){
	std::cout<< " ============================================= " <<std::endl;
	std::cout<< "List of constants" <<std::endl;
    std::cout<< "Masses in GeV" <<std::endl;	
    std::cout<< "m_p = " << m_p <<std::endl;	
    std::cout<< "m_n = " << m_n <<std::endl;
    std::cout<< "m_pi0 = " << m_pi0 <<std::endl;
    std::cout<< "m_pi = " << m_pi <<std::endl;
    std::cout<< "m_Higgs = " << m_H <<std::endl;
    std::cout<< "m_Graviton = " << m_Gra <<std::endl;
    std::cout<< "m_Glueball = " << m_Glu <<std::endl;
    std::cout<< "m_Radion = " << m_R <<std::endl;
    std::cout<< "m_Z = " << m_Z <<std::endl;
    std::cout<< "m_W = " << m_W <<std::endl;	
    std::cout<< "Scales in GeV" <<std::endl;
    std::cout<< "VEV = " << VEV <<std::endl;		
    std::cout<< "Lambda_QCD = " << Lam_QCD <<std::endl;	
    std::cout<< "m_Planc = " << M_Pl <<std::endl;	
    std::cout<< "Couplings" <<std::endl;	
    std::cout<< "alpha_EM = " << alpha_EM <<std::endl;	
	std::cout<< " ============================================= " <<std::endl;
};